Package org.drinkless.tdlib

# Class TdApi.EditBotMediaPreview

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.BotMediaPreview>
org.drinkless.tdlib.TdApi.EditBotMediaPreview

Enclosing class:
  `TdApi`

public static class TdApi.EditBotMediaPreview extends TdApi.Function<TdApi.BotMediaPreview>
Replaces media preview in the list of media previews of a bot. Returns the new preview after edit is completed server-side.

Returns `BotMediaPreview`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  Identifier of the target bot.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputStoryContent`
  `content`
  Content of the new preview.
  `int`
  `fileId`
  File identifier of the media to replace.
  `String`
  `languageCode`
  Language code of the media preview to edit.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditBotMediaPreview()`
  Default constructor for a function, which replaces media preview in the list of media previews of a bot.
  `EditBotMediaPreview(long botUserId, String languageCode, int fileId, TdApi.InputStoryContent content)`
  Creates a function, which replaces media preview in the list of media previews of a bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    Identifier of the target bot. The bot must be owned and must have the main Web App.

  - ### languageCode

    public String languageCode
    Language code of the media preview to edit.

  - ### fileId

    public int fileId
    File identifier of the media to replace.

  - ### content

    public TdApi.InputStoryContent content
    Content of the new preview.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EditBotMediaPreview

    public EditBotMediaPreview()
    Default constructor for a function, which replaces media preview in the list of media previews of a bot. Returns the new preview after edit is completed server-side.

    Returns `BotMediaPreview`

  - ### EditBotMediaPreview

    public EditBotMediaPreview(long botUserId, String languageCode, int fileId, TdApi.InputStoryContent content)
    Creates a function, which replaces media preview in the list of media previews of a bot. Returns the new preview after edit is completed server-side.

    Returns `BotMediaPreview`

    Parameters:
      `botUserId` - Identifier of the target bot. The bot must be owned and must have the main Web App.
      `languageCode` - Language code of the media preview to edit.
      `fileId` - File identifier of the media to replace.
      `content` - Content of the new preview.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.BotMediaPreview>`
    Returns:
      this.CONSTRUCTOR